# Shifter, Copyright (c) 2015, The Regents of the University of California,
# through Lawrence Berkeley National Laboratory (subject to receipt of any
# required approvals from the U.S. Dept. of Energy).  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#  1. Redistributions of source code must retain the above copyright notice,
#     this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright notice,
#     this list of conditions and the following disclaimer in the documentation
#     and/or other materials provided with the distribution.
#  3. Neither the name of the University of California, Lawrence Berkeley
#     National Laboratory, U.S. Dept. of Energy nor the names of its
#     contributors may be used to endorse or promote products derived from this
#     software without specific prior written permission.`
#
# See LICENSE for full text.
"""Base functions and classes for shifter image management

shifter_imagegw includes all software required for the importing, managing,
and removing shifter images to and from computational platforms.  The files
within are used by either the web RESTful API (recommend run with gunicorn)
or the celery-based workers, which actually perform any needed actions on the
systems.
"""
__all__ = ['api', 'imageworker', 'imagemngr']
CONFIG_PATH = '/etc/shifter'
